Bug 667290 - Add support for calling a script on the remote RHQ API as the result on an alert
Add support for calling a script on the remote RHQ API as the result on an alert
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
4.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-05 00:31 EST by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:17:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2011-01-05 00:31:54 EST
-Should be able to execute a CLI script as the result of an alert
-Should be able to pass all the normal parameters associated with an alert through to the script. This should work in a roughly similar fashion to executing script resources now from alerts, except it should be possible to upload a CLI script when creating the alert/alert template
-When editing an alert should be able to reupload a new script, or even edit in place if we want to be fancy.
Comment 1 Lukas Krejci 2011-05-31 05:22:18 EDT
This was released with RHQ 4.0.0 already.

The design page is here:
http://wiki.rhq-project.org/display/RHQ/Design+-+Serverside+scripts
Comment 2 Mike Foley 2011-06-22 14:04:58 EDT
verified this feature was implemented by reviewing this wiki: http://metlos.wordpress.com/2011/03/08/scripted-alert-notifications-in-rhq/
and creating an alert that triggers a  CLI script.

i did receive 1 globally uncaught exception during this verification, and logged this new BZ....

https://bugzilla.redhat.com/show_bug.cgi?id=715380
Comment 3 Heiko W. Rupp 2013-09-02 03:17:43 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.